## ormar 0.12.2

=== Makefile ===
test_all: test_pg test_mysql test_sqlite

test_pg: export DATABASE_URL=postgresql://username:password@localhost:5432/testsuite
test_pg:
	docker-compose -f scripts/docker-compose.yml up -d postgres
	bash scripts/test.sh -svv
	docker-compose -f scripts/docker-compose.yml stop postgres

test_mysql: export DATABASE_URL=mysql://username:password@127.0.0.1:3306/testsuite
test_mysql:
	docker-compose -f "scripts/docker-compose.yml" up -d mysql
	bash scripts/test.sh -svv
	docker-compose -f scripts/docker-compose.yml stop mysql

test_sqlite:
	bash scripts/test.sh -svv

test:
	pytest

coverage:
	pytest --cov=ormar --cov=tests --cov-fail-under=100 --cov-report=term-missing

black:
	black ormar tests

lint:
	black ormar tests
	flake8 ormar

mypy:
	mypy ormar tests

## ormar 0.11.3

=== debian/changelog ===
ormar (0.11.3-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 07 Sep 2022 15:01:10 +0100

ormar (0.11.2-3) unstable; urgency=medium

  * debian/upstream/metadata: fix github URLs.
  * Set PYBUILD_TEST_ARGS=--asyncio-mode=auto because pytest-asyncio 0.19
    made asyncio_mode=strict the default, which caused tests failures.
  * Build-Depends: Add <!nocheck> to packages needed for tests.

 -- Edward Betts <edward@4angle.com>  Tue, 19 Jul 2022 15:11:06 +0100

ormar (0.11.2-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Thu, 07 Jul 2022 17:51:34 +0100

ormar (0.11.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1013971)

 -- Edward Betts <edward@4angle.com>  Tue, 28 Jun 2022 10:38:52 +0100

=== debian/control ===
Source: ormar
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-aiomysql <!nocheck>,
               python3-aiosqlite <!nocheck>,
               python3-all <!nocheck>,
               python3-anyio <!nocheck>,
               python3-asyncpg <!nocheck>,
               python3-cryptography <!nocheck>,
               python3-databases <!nocheck>,
               python3-fastapi <!nocheck>,
               python3-poetry-core,
               python3-pydantic <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-asyncio <!nocheck>,
               python3-pytest-tornasync <!nocheck>,
               python3-requests <!nocheck>,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/collerek/ormar
Vcs-Browser: https://salsa.debian.org/python-team/packages/ormar
Vcs-Git: https://salsa.debian.org/python-team/packages/ormar.git

Package: python3-ormar
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: async ORM with fastapi in mind and pydantic validation
 An async mini ORM for Python, with support for Postgres, MySQL, and SQLite.
 .
 The main benefits of using ormar are:
 .
   * getting an async ORM that can be used with async frameworks (fastapi,
     starlette etc.)
   * getting just one model to maintain - you don't have to maintain pydantic
     and other orm models (sqlalchemy, peewee, gino etc.)
 .
 The goal was to create a simple ORM that can be used directly (as request and
 response models) with fastapi that bases it's data validation on pydantic.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ormar
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=--asyncio-mode=auto

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf ormar.egg-info/

execute_after_dh_auto_test:
	rm -f ./.pybuild/*/build/test.db

=== debian/tests/control ===
Tests: run-tests
Depends: python3-aiomysql,
         python3-aiosqlite,
         python3-all,
         python3-anyio,
         python3-asyncpg,
         python3-cryptography,
         python3-databases,
         python3-fastapi,
         python3-pydantic,
         python3-pytest,
         python3-pytest-asyncio,
         python3-pytest-tornasync,
         python3-requests,
         @

## ormar 0.12.0

=== debian/changelog ===
ormar (0.12.0-3) unstable; urgency=medium

  * Patch pyproject.toml to allow SQLAlchemy newer than 1.4.42.
    (Closes: #1027063)
  * debian/tests/control: Add Depends for python3-httpx. This is a new
    dependency of python3-starlette, but it is only used for the starlette
    test client, so has not been added as a dependency of that package.

 -- Edward Betts <edward@4angle.com>  Wed, 28 Dec 2022 14:40:50 +0000

ormar (0.12.0-2) unstable; urgency=medium

  * debian/control
    - add httpx to b-d, needed by tests (via starlette.testclient);
      Closes: #1026020, #1026506
  * debian/patches/PR971.patch
    - make tests compatible with new starlette/httpx; Closes: #1026258

 -- Sandro Tosi <morph@debian.org>  Tue, 27 Dec 2022 17:43:20 -0500

ormar (0.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Tue, 25 Oct 2022 09:11:13 +0100

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
                python3-cryptography <!nocheck>,
                python3-databases <!nocheck>,
                python3-fastapi <!nocheck>,
+               python3-httpx <!nocheck>,
                python3-poetry-core,
                python3-pydantic <!nocheck>,
                python3-pytest <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -11,5 +11,8 @@
 	dh_auto_clean
 	rm -rf ormar.egg-info/
 
+override_dh_installchangelogs:
+	dh_installchangelogs docs/releases.md
+
 execute_after_dh_auto_test:
 	rm -f ./.pybuild/*/build/test.db

=== debian/tests/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
          python3-cryptography,
          python3-databases,
          python3-fastapi,
+         python3-httpx,
          python3-pydantic,
          python3-pytest,
          python3-pytest-asyncio,

## ormar 0.12.2

=== debian/changelog ===
ormar (0.12.2-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.
  * Update copyright year.
  * Drop patch, no longer needed after changes upstream.
  * Add Build-Depends and test Depends for python3-asgi-lifespan, now required
    by upstream.
  * Skip failing test, reported upstream.
  * Remove pytest_cache before creating binary package.

 -- Edward Betts <edward@4angle.com>  Sat, 29 Jul 2023 07:02:31 +0100

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                python3-aiosqlite <!nocheck>,
                python3-all <!nocheck>,
                python3-anyio <!nocheck>,
+               python3-asgi-lifespan <!nocheck>,
                python3-asyncpg <!nocheck>,
                python3-cryptography <!nocheck>,
                python3-databases <!nocheck>,
@@ -23,7 +24,7 @@
                python3-requests <!nocheck>,
                python3-setuptools
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/collerek/ormar
 Vcs-Browser: https://salsa.debian.org/python-team/packages/ormar
 Vcs-Git: https://salsa.debian.org/python-team/packages/ormar.git

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,8 @@
 
 export PYBUILD_NAME=ormar
 export PYBUILD_TEST_PYTEST=1
-export PYBUILD_TEST_ARGS=--asyncio-mode=auto
+export PYBUILD_TEST_ARGS=--asyncio-mode=auto -k "not test_weakref_init"
+export DH_VERBOSE=1
 
 %:
 	dh $@ --buildsystem=pybuild
@@ -16,3 +17,4 @@
 
 execute_after_dh_auto_test:
 	rm -f ./.pybuild/*/build/test.db
+	rm -r ./.pybuild/*/build/.pytest_cache

=== debian/tests/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
          python3-aiosqlite,
          python3-all,
          python3-anyio,
+         python3-asgi-lifespan,
          python3-asyncpg,
          python3-cryptography,
          python3-databases,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ormar-$1\.tar\.gz/ \
  https://github.com/collerek/ormar/tags .*/v?(\d\S+)\.tar\.gz

## ormar 0.20.2

=== Makefile ===
--- 
+++ 
@@ -15,18 +15,22 @@
 test_sqlite:
 	bash scripts/test.sh -svv
 
+test_docs:
+	bash scripts/test_docs.sh -svv
+
 test:
-	pytest
+	pytest -svv tests/
 
 coverage:
-	pytest --cov=ormar --cov=tests --cov-fail-under=100 --cov-report=term-missing
+	pytest --cov=ormar --cov=tests --cov-fail-under=100 --cov-report=term-missing tests
 
-black:
-	black ormar tests
+type_check:
+	mkdir -p .mypy_cache && poetry run python -m mypy ormar tests --ignore-missing-imports --install-types --non-interactive
 
 lint:
-	black ormar tests
-	flake8 ormar
+	poetry run python -m ruff check . --fix
 
-mypy:
-	mypy ormar tests
+fmt:
+	poetry run python -m black .
+
+pre-commit: fmt lint type_check

=== debian/changelog ===
ormar (0.20.2-1) unstable; urgency=medium

  * New upstream release.
  * Update patch to allow newer SQLAlchemy in pyproject.toml.
  * Patch to fix failing tests.
  * Switch to autopkgtest-pkg-pybuild.
  * Move packages required for tests to Build-Depends-Indep.
  * Remove 'Priority: optional', now the default.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update Standards-Version.
  * Update copyright year.
  * Update debian/watch to format version 5.
  * Simplify debian/rules.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Mon, 29 Dec 2025 06:31:19 +0000

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS=--asyncio-mode=auto -k "not test_weakref_init"

%:
	dh $@ --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs docs/releases.md

execute_after_dh_auto_test:
	rm -f ./.pybuild/*/build/test.db
	rm -r ./.pybuild/*/build/.pytest_cache

## ormar 0.21.0

=== debian/changelog ===
ormar (0.21.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patch for failing tests.
  * Add test.db to debian/clean.
  * Update copyright year.

 -- Edward Betts <edward@4angle.com>  Sat, 10 Jan 2026 08:01:01 +0000

=== debian/watch ===
Version: 5

Template: Github
Owner: collerek
Project: ormar

## ormar 0.22.0

=== debian/changelog ===
ormar (0.22.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 11 Feb 2026 07:54:05 +0000

=== debian/control ===
Source: ormar
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 faker <!nocheck>,
 python3-aiomysql <!nocheck>,
 python3-aiosqlite <!nocheck>,
 python3-anyio <!nocheck>,
 python3-asgi-lifespan <!nocheck>,
 python3-asyncpg <!nocheck>,
 python3-cryptography <!nocheck>,
 python3-databases <!nocheck>,
 python3-fastapi <!nocheck>,
 python3-httpx <!nocheck>,
 python3-poetry-core,
 python3-pydantic <!nocheck>,
 python3-pydantic-extra-types <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-tornasync <!nocheck>,
 python3-requests <!nocheck>,
Standards-Version: 4.7.3
Homepage: https://github.com/collerek/ormar
Vcs-Browser: https://salsa.debian.org/python-team/packages/ormar
Vcs-Git: https://salsa.debian.org/python-team/packages/ormar.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-ormar
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: async ORM with fastapi in mind and pydantic validation
 An async mini ORM for Python, with support for Postgres, MySQL, and SQLite.
 .
 The main benefits of using ormar are:
 .
   * getting an async ORM that can be used with async frameworks (fastapi,
     starlette etc.)
   * getting just one model to maintain - you don't have to maintain pydantic
     and other orm models (sqlalchemy, peewee, gino etc.)
 .
 The goal was to create a simple ORM that can be used directly (as request and
 response models) with fastapi that bases it's data validation on pydantic.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export PYBUILD_TEST_ARGS=--asyncio-mode=auto -k "not test_weakref_init"
+export PYBUILD_TEST_ARGS=-k "not test_weakref_init" --ignore=tests/test_databases/test_transaction_as_fixture.py
 
 %:
 	dh $@ --buildsystem=pybuild
